#pragma once
#include "asset/render/asset_enum.h"
namespace engineapi {
	class GameObject;
	class Transform;
	class Component {
		friend class GameObject;
	protected:
		GameObject* mOwner;
	public:
		Component();
		~Component();
	public:
		Transform* GetTransform();
	};
};